Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkInteractorStyleTrackball Class Reference

`#include <vtkInteractorStyleTrackball.h>`

Inheritance diagram for vtkInteractorStyleTrackball:

[legend]
Collaboration diagram for vtkInteractorStyleTrackball:

[legend]
List of all members.

## Detailed Description

provides trackball motion control

Date:
  2002/04/26 21:54:56

Revision:
  1.21

vtkInteractorStyleTrackball is an implementation of vtkInteractorStyle that defines the trackball style. It is now deprecated and as such a subclass of vtkInteractorStyleSwitch

See also:
  vtkInteractorStyleSwitch vtkInteractorStyleTrackballActor vtkInteractorStyleJoystickCamera

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (51%)
  - Barre, Sebastien (36%)
  - Schroeder, Will (7%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkInteractorStyleTrackball.h)`
  - .`cxx` (`/Rendering/vtkInteractorStyleTrackball.cxx)`

Definition at line 48 of file vtkInteractorStyleTrackball.h.

## Public Types
typedef vtkInteractorStyleSwitch | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
## Static Public Methods
vtkInteractorStyleTrackball * | New ()
int | IsTypeOf (const char *type)
vtkInteractorStyleTrackball * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkInteractorStyleTrackball ()
| ~vtkInteractorStyleTrackball ()

## Member Typedef Documentation

typedef vtkInteractorStyleSwitch vtkInteractorStyleTrackball::Superclass

| Reimplemented from vtkInteractorStyleSwitch. Definition at line 52 of file vtkInteractorStyleTrackball.h.

## Constructor & Destructor Documentation

vtkInteractorStyleTrackball::vtkInteractorStyleTrackball | ( |  | ) | `[protected]`

vtkInteractorStyleTrackball::~vtkInteractorStyleTrackball | ( |  | ) | `[protected]`

## Member Function Documentation

vtkInteractorStyleTrackball* vtkInteractorStyleTrackball::New | ( |  | ) | `[static]`

| This class must be supplied with a vtkRenderWindowInteractor wrapper or parent. This class should not normally be instantiated by application programmers. Reimplemented from vtkInteractorStyleSwitch.

virtual const char* vtkInteractorStyleTrackball::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkInteractorStyleSwitch.

int vtkInteractorStyleTrackball::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkInteractorStyleSwitch.

virtual int vtkInteractorStyleTrackball::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkInteractorStyleSwitch.

vtkInteractorStyleTrackball* vtkInteractorStyleTrackball::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkInteractorStyleSwitch.

void vtkInteractorStyleTrackball::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkInteractorStyleSwitch.

The documentation for this class was generated from the following file:

- Rendering/vtkInteractorStyleTrackball.h